name: hydra-benchmarks-ocr
channels:
- conda-forge
- defaults
dependencies:
  - pip=23.0.1
  - sphinx=5.0.2
  - sphinx_rtd_theme=1.1.1
  - pytest=7.1.2
  - coverage=7.2.2
  - sphinx-intl=2.1.0
  - sphinx-autoapi=2.1.0
  - myst-parser=1.0.0
  - pre-commit=3.2.1
  - cruft=2.14.0
  - flake8=6.0.0
  - black=23.3.0
  - autoflake=1.7.5
  - build=0.7.0
  - twine=3.7.1
   # General
  - pydantic=1.10.7
  - python-dotenv=1.0.0
  - minio=7.1.0
  - rich=12.6.0
  - pytorch=2.0.0
#  - torchvision=0.12.0
  - scipy=1.9.1
  - numpy=1.23.2
  - pillow=9.2.0
  - dash=2.9.3
  - pyqtree=1.0.0
  - Levenshtein=0.20.9
  # Blinding
  - transformers=4.26.0
  - conllu=4.4.2
  - pip:
    - PyMuPDF==1.19.6
    - flair==0.12.2
    - presidio-analyzer==2.2.32
    - mmcv-full==1.7.0
    - mmdet==2.26.0
    #OCR
    - calamari-ocr==1.0.5
    - easyocr==1.6.2
    - mmocr==1.0.0
    - ocrmypdf==14.1.0
    - paddleocr==2.6.1.3
    - paddlepaddle==2.4.2
    - pytesseract==0.3.10
